apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: grafana-route
  namespace: monitoring
spec:
  parentRefs:
    - name: vip-240
      sectionName: vpn
      namespace: istio-system
  hostnames: ["grafana.agepoly.ch"]
  rules:
    - matches:
        - path:
            type: PathPrefix
            value: /
      backendRefs:
        - name: monitoring-grafana
          port: 80
